<template>
  <router-link :to="resource.link" tag="span">
    <q-card square class="resource-card shadow-transition">
      <q-img
        :src="resource.img"
        spinner-color="white"
        style="height: 250px; max-width: 100%"
      />
      <q-card-section>
        <div class="text-h6 text-center text-brown text-weight-regular text-uppercase">{{ resource.title }}</div>
      </q-card-section>

      <q-separator class="q-mb-md" />

      <q-card-section class="q-pt-none text-justify">
        {{ resource.text }}
      </q-card-section>

      <q-card-actions class="absolute-bottom q-mb-sm">
        <q-btn class="card-link text-brown" flat label="Saber-ne més" :to="resource.link">
          <q-icon
            size="sm"
            name="la la-caret-right"
            class="text-brown"
            style="fill: #856404"
          />
        </q-btn>
      </q-card-actions>
    </q-card>
  </router-link>
</template>

<script>
  export default {
    name: "Resource",
    props: {
      resource: {
        type: Object
      },
    },
  }
</script>

<style scoped lang="stylus">
.resource-card
  box-shadow none
  min-height: 500px
  cursor pointer
  .card-link
    border: 1px solid transparent
    border-radius: 0px

    &:hover
      border: 1px solid $brown
      color: $brown
</style>
